### Method

# FwupdPlugin Plugin add_device

since: 2.1.1

#### Declaration [src]

    void
    fu_plugin_add_device (
      FuPlugin* self,
      FuDevice* device
    )

#### Description [src]

Asks the daemon to add a device to the exported list. If this device ID has already been added by a different plugin then this request will be ignored.

Available since: 2.1.1

#### Parameters

`device`

  Type: `FuDevice`

  A device.

  The data is owned by the caller of the method.